# m3e/accordion

Accordion is combines multiple expansion panels in to an accordion.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Accordion

opaque </>

Accordion is a View Model for this component

## Fields:

- multi: Whether multiple expansion panels can be open at the same time.

    pub opaque type Accordion

## Multi

</>

Multi is whether multiple expansion panels can be open at the same time.

    pub type Multi {
      IsMulti
      IsNotMulti
    }

### Constructors

-     IsMulti

-     IsNotMulti

# Values

## default_multi

</>

    pub const default_multi: Multi

## multi

</>

    pub fn multi(arg: Accordion, multi: Multi) -> Accordion

multi sets the value of multi for this Accordion.

## new

</>

    pub fn new(multi: Multi) -> Accordion

new creates a new Accordion with the default configuration.

## render

</>

    pub fn render(
      model: Accordion,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Accordion

✨